| Version: 3.3.1

Public Attributes | List of all members
wxAuiTabLayoutInfo Struct Reference

`#include <wx/aui/serializer.h>`

Inheritance diagram for wxAuiTabLayoutInfo:
[legend]

## Detailed Description

Contains information about the layout of a tab control in a wxAuiNotebook.

This includes where it is docked, via the fields inherited from wxAuiDockLayoutInfo, and, optionally, the order of pages in it if it was changed as well as pinned pages indices, if any.

Since
  3.3.0

## Public Attributes
std::vector< int > | pages
| Indices of the pages in this tab control in their order on screen. More...
std::vector< int > | pinned
| Indices of the pinned pages in this tab control. More...
int | active = 0
| Index of the currently selected page in this tab control. More...
Public Attributes inherited from wxAuiDockLayoutInfo
int | dock_direction = wxAUI_DOCK_LEFT
| Direction of the dock containing the pane. More...
int | dock_layer = 0
| Layer of the dock containing the pane. More...
int | dock_row = 0
| Row of the dock containing the pane. More...
int | dock_pos = 0
| Position of the pane in the dock containing it. More...
int | dock_proportion = 0
| Relative proportion of the dock allocated to this pane. More...
int | dock_size = 0
| Size of the containing dock. More...

## Member Data Documentation

## ◆ active

int wxAuiTabLayoutInfo::active = 0

Index of the currently selected page in this tab control.

Note that the value of this field is a page index in the notebook, not the position of the active tab in this tab control, and should be one of the elements of the `pages` vector if it is not empty.

## ◆ pages

std::vector<int> wxAuiTabLayoutInfo::pages

Indices of the pages in this tab control in their order on screen.

If this vector is empty, it means that the tab control contains all notebook pages in natural order.

## ◆ pinned

std::vector<int> wxAuiTabLayoutInfo::pinned

Indices of the pinned pages in this tab control.

This vector can be empty if there are no pinned pages in this tab control. Otherwise it should be a subset of the `pages` vector if it is not empty.